Bug 186797 - Xorg freeze with vesa driver
Xorg freeze with vesa driver
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 10:38 EST by Pti-seb
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 21:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (95.66 KB, text/plain)
2006-03-26 10:40 EST, Pti-seb
no flags Details
Xorg configuration file (2.76 KB, text/plain)
2006-03-26 10:41 EST, Pti-seb
no flags Details

  None (edit)
Description Pti-seb 2006-03-26 10:38:03 EST
Description of problem:

I boot on init 3 mode and when i launch startx command, Xorg and my keyboard
freeze (black screen).

I have no problem in my Xorg.0.log and I have ATI X800 Xl graphic card
(PCI-EXPRESS).

I have never had problems with FC4 (with fglrx or vesa driver).


Steps to Reproduce:
1. boot on init 3 mode
2. launch startx command
  
Actual results:
Xorg freeze
Expected results:


Additional info:
Motherboard = ASUS A8N-SLI DELUXE
Comment 1 Pti-seb 2006-03-26 10:40:54 EST
Created attachment 126771 [details]
Xorg log
Comment 2 Pti-seb 2006-03-26 10:41:45 EST
Created attachment 126772 [details]
Xorg configuration file
Comment 3 Pti-seb 2006-03-26 11:20:41 EST
unam -a :

Linux xblade 2.6.15-1.2054_FC5 #1 SMP Tue Mar 14 15:48:20 EST 2006 x86_64 x86_64
x86_64 GNU/Linux
Comment 4 Pti-seb 2006-03-26 11:21:37 EST
If I launch startx in vga mode :


[pti-seb@xblade yum.repos.d]$ startx -- -depth 16
xauth:  creating new authority file /home/pti-seb/.serverauth.2871


X Window System Version 7.0.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 7.0
Build Operating System:Linux 2.6.9-22.18.bz155725.ELsmp x86_64Red Hat, Inc.
Current Operating System: Linux xblade 2.6.15-1.1833_FC4 #1 Wed Mar 1 23:41:25
EST 2006 x86_64
Build Date: 15 March 2006
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Mar 26 18:11:20 2006
(==) Using config file: "/etc/X11/xorg.conf"
Couldn't open RGB_DB '/usr/X11R6/lib/X11/rgb'
(EE) VGA(0): Given depth (16) is not supported by this driver.
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.
[pti-seb@xblade yum.repos.d]$ exit
exit
Comment 5 Pti-seb 2006-03-27 06:10:31 EST
If I use radeon driver, Xorg start correctly, but driver rejects any resolutions
higher than 640x480. But this is an another bug (cf.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186689).

However, the vesa mode does'nt work with my graphic card and I think is not normal.
Comment 6 Mike A. Harris 2006-05-18 20:47:39 EDT
When attaching config files, log files and other text files to bugzilla,
always be sure to attach them as MIME type "text/plain" to ensure that they
are viewable directly in the web browser when clicking on them.  This
reduces the time required to view the attachments, which speeds up the
process of diagnosis and resolution.

Thanks.
Comment 7 Mike A. Harris 2006-05-18 21:22:38 EDT
The "vesa" driver should not be used for this chip, as the "radeon" driver
contains support for this hardware.

The log file attached in comment #1 is from using the "vesa" driver, and
shows an X server that has started up correctly.  There are no indications
of a crash or other failure present in the log.

The "vga" driver is not expected to work in any useful manner on any
hardware.  It only supports strict Standard VGA resolution, which is
limited to 640x480 16 colours (not 16000 colours), or 320x200 256 colours,
which is more or less useless on a modern desktop.  We provide the "vga"
driver only for diagnostic purposes and completeness, however it is not
supported.

You have indicated that you have tried using the fglrx driver on this
system in the initial report.  There are known problems that are caused
by the installation of 3rd party proprietary drivers, which can cause
malfunctions to occur afterward even if you are no longer using the
proprietary driver and are using the open source drivers supplied with
Fedora.

To ensure that your system is running in a supported configuration,
please completely uninstall all proprietary drivers from your system,
and reinstall all of the xorg and mesa packages as supplied by Fedora Core 5,
and fully update to the latest official FC5 updates.  Configure your
system to use the "radeon" driver, which is the officially supported
driver for this hardware.

This bug was filed against the "vesa" driver, however there is insufficient
information present to diagnose.  If you would like the "vesa" driver
problem that you encountered to be investigated as well, please file
a bug report in X.Org bugzilla at:  http://bugs.freedesktop.org in the
"xorg" component, and attach your X server log and config from using the
"vesa" driver with no proprietary drivers installed, and X.Org developers
will advise.

We will track the "radeon" driver problem you've mentioned in the other
report you've referenced.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.